Commit aae0865d authored by Kenneth Graunke's avatar Kenneth Graunke

i965: Enable ARB_shader_precision on Gen8+.

I recently fixed a bug in the Piglit tests:
https://lists.freedesktop.org/archives/piglit/2016-May/019802.html

With that patch in place, we pass all the tests.  So, turn it on.

We could probably expose this earlier than Gen8, but the extension
says that OpenGL 4.0 is required, and all of our tests are written
against GLSL 4.00 (which is only supported on Gen8+).
Signed-off-by: Kenneth Graunke's avatarKenneth Graunke <kenneth@whitecape.org>
parent cf010de6
......@@ -374,6 +374,7 @@ intelInitExtensions(struct gl_context *ctx)
}
if (brw->gen >= 8) {
ctx->Extensions.ARB_shader_precision = true;
ctx->Extensions.ARB_stencil_texturing = true;
ctx->Extensions.ARB_texture_stencil8 = true;
ctx->Extensions.ARB_gpu_shader_fp64 = true;
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment